Bug 456834 - Loss of internet connectiviy, hangs at unloading iptables
Loss of internet connectiviy, hangs at unloading iptables
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: iptables (Show other bugs)
9
i686 Linux
low Severity high
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-27 19:02 EDT by Scott Williams
Modified: 2009-06-03 04:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-03 04:42:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Williams 2008-07-27 19:02:35 EDT
Description of problem:

My connection stalls.  NetworkManager will still show I'm connected, but won't
reconnect, failing at getting an IP.

The only way I know how to fix it when this happens is to reboot, but it then
hangs on iptables: Unloading module.  It will hang there indefinitely and I have
to power off at this point.

When this issue is not happening, I can reboot with no errors.

Version-Release number of selected component (if applicable):

iptables-1.4.1.1-1.fc9.i386
kernel: 2.6.25.11-97.fc9.i686

How reproducible:

Happens 1-2 times daily.

Steps to Reproduce:
1. Connect to wireless using Cisco Aironet with NetworkManager.
2. Use connection for several hours.
3. Observe sudden drop in connectivity and issue described above.
  
Actual results:

Network connectivity is unstable and reboot hangs.

Expected results:

Stable network connectivity and successful reboots.

Additional info:

Using an IBM ThinkPad T30 with Cisco Aironet card.
Comment 1 Thomas Woerner 2008-08-18 12:07:27 EDT
What exactly is hanging? The unload of a kernel module?
Comment 2 Scott Williams 2008-09-11 12:59:14 EDT
That is what was hanging on shutdown.  I set unload to "No" in the conf and I can shut it down with no errors, now hen I lose connection.  The connection loss still occasionally happens, and when it does I must reboot to reconnect.  it will actually still say I'm connected to a network, but I won't have any internet access, and won't be able to reconnect to the network with NetworkManager.  It seems to happen when the card is under a load for a time, such as when seeding torrents.
Comment 3 Scott Williams 2008-09-11 13:00:54 EDT
Sorry to be more specific, it is the iptables unloading the is hanging.  It happens for both IPv6 and IPv4 (If I disable IPv6 it hangs at IP instead).
Comment 4 Thomas Woerner 2008-10-15 07:11:36 EDT
Is there a hanging modprobe command?
Comment 5 Scott Williams 2009-02-14 23:49:36 EST
How would I check for this?  The only thing in my modprobe.conf is aliases related to my sound card.
Comment 6 Thomas Woerner 2009-02-16 07:58:26 EST
Have a look at the output of "ps aux". Is there is a "modprobe -r" command hanging around?
Comment 7 Thomas Woerner 2009-06-03 04:42:49 EDT
This bug entry was in needinfo for some time. Closing due to user inactivity as
"NOT A BUG".

Note You need to log in before you can comment on or make changes to this bug.